com.corticon.services.metadata.vocabulary

## Interface IAttributeMetadata

-     public interface IAttributeMetadata

  Interface IAttributeMetadata provides methods related to a particular Vocabulary's Entity.Attribute.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getColumnName()` Get the Attribute's 'Column Name' value
    `java.lang.String` | `getColumnName(java.lang.String astrDatasourceName)` Get the column name defined in the given datasource
    `java.util.Collection<java.lang.String>` | `getDatasourceNames()` Get a List of defined datasource names
    `java.util.Collection<java.lang.String>` | `getDatasourceProperties(java.lang.String astrDatasourceName)` Get a List of Properties defined in the given datasource name
    `java.lang.String` | `getDatasourceProperty(java.lang.String astrDatasourceName, java.lang.String astrProperty)` Get the value of the datasource property for given datasource name and property key
    `java.lang.String` | `getDatatype()` Get the Attribute's 'Data Type' value
    `java.lang.String` | `getJavaObjectFieldName()` Get the Attribute's 'Java Object Field Name' value
    `java.lang.String` | `getJavaObjectGetMethod()` Get the Attribute's 'Java Object Get Method' value
    `java.lang.String` | `getJavaObjectSetMethod()` Get the Attribute's 'Java Object Set Method' value
    `boolean` | `getMandatory()` Get the Attribute's 'Mandatory' value
    `java.lang.String` | `getMode()` Get the Attribute's 'Mode' value
    `java.lang.String` | `getName()` Get the Attribute's 'Name' value
    `java.lang.String` | `getValueSequence()` Get the Attribute's 'Value Sequence' value
    `java.lang.String` | `getValueStrategy()` Get the Attribute's 'Value Strategy' value
    `java.lang.String` | `getValueTableName()` Get the Attribute's 'Value Table Name' value
    `java.lang.String` | `getValueTableNameColumnName()` Get the Attribute's 'Value Table Name Column Name' value
    `java.lang.String` | `getValueTableValueColumnName()` Get the Attribute's 'Value Table Value Column Name' value
    `java.lang.String` | `getXmlElementName()` Get the Attribute's 'Xml Element Name' value
    `java.lang.String` | `getXmlNamespace()` Get the Attribute's 'Xml Namespace' value

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Get the Attribute's 'Name' value
      Returns:
        A String of Attribute's 'Name' value

    - #### getDatatype

          java.lang.String getDatatype()

      Get the Attribute's 'Data Type' value
      Returns:
        A String of Attribute's 'Data Type' value

    - #### getMandatory

          boolean getMandatory()

      Get the Attribute's 'Mandatory' value
      Returns:
        A String of Attribute's 'Mandatory' value

    - #### getMode

          java.lang.String getMode()

      Get the Attribute's 'Mode' value
      Returns:
        A String of Attribute's 'Mode' value

    - #### getXmlNamespace

          java.lang.String getXmlNamespace()

      Get the Attribute's 'Xml Namespace' value
      Returns:
        A String of Attribute's 'Xml Namespace' value

    - #### getXmlElementName

          java.lang.String getXmlElementName()

      Get the Attribute's 'Xml Element Name' value
      Returns:
        A String of Attribute's 'Xml Element Name' value

    - #### getJavaObjectGetMethod

          java.lang.String getJavaObjectGetMethod()

      Get the Attribute's 'Java Object Get Method' value
      Returns:
        A String of Attribute's 'Java Object Get Method' value

    - #### getJavaObjectSetMethod

          java.lang.String getJavaObjectSetMethod()

      Get the Attribute's 'Java Object Set Method' value
      Returns:
        A String of Attribute's 'Java Object Set Method' value

    - #### getJavaObjectFieldName

          java.lang.String getJavaObjectFieldName()

      Get the Attribute's 'Java Object Field Name' value
      Returns:
        A String of Attribute's 'Java Object Field Name' value

    - #### getColumnName

          java.lang.String getColumnName()

      Get the Attribute's 'Column Name' value
      Returns:
        A String of Attribute's 'Column Name' value

    - #### getValueStrategy

          java.lang.String getValueStrategy()

      Get the Attribute's 'Value Strategy' value
      Returns:
        A String of Attribute's 'Value Strategy' value

    - #### getValueSequence

          java.lang.String getValueSequence()

      Get the Attribute's 'Value Sequence' value
      Returns:
        A String of Attribute's 'Value Sequence' value

    - #### getValueTableName

          java.lang.String getValueTableName()

      Get the Attribute's 'Value Table Name' value
      Returns:
        A String of Attribute's 'Value Table Name' value

    - #### getValueTableNameColumnName

          java.lang.String getValueTableNameColumnName()

      Get the Attribute's 'Value Table Name Column Name' value
      Returns:
        A String of Attribute's 'Value Table Name Column Name' value

    - #### getValueTableValueColumnName

          java.lang.String getValueTableValueColumnName()

      Get the Attribute's 'Value Table Value Column Name' value
      Returns:
        A String of Attribute's 'Value Table Value Column Name' value

    - #### getDatasourceProperty

          java.lang.String getDatasourceProperty(java.lang.String astrDatasourceName,
                                                 java.lang.String astrProperty)

      Get the value of the datasource property for given datasource name and property key
      Parameters:
        `aDatasourceName` -
        `aProperty` -
      Returns:

    - #### getDatasourceProperties

          java.util.Collection<java.lang.String> getDatasourceProperties(java.lang.String astrDatasourceName)

      Get a List of Properties defined in the given datasource name
      Parameters:
        `aDatasourceName` -
      Returns:

    - #### getDatasourceNames

          java.util.Collection<java.lang.String> getDatasourceNames()

      Get a List of defined datasource names
      Returns:

    - #### getColumnName

          java.lang.String getColumnName(java.lang.String astrDatasourceName)

      Get the column name defined in the given datasource
      Parameters:
        `astrDatasourceName` -
      Returns:

Copyright © 2005-2022 Progress Software Corporation and/or its subsidiaries and affiliates. All rights reserved.